## hplip 3.10.2-2ubuntu2.5+4.1trisquel4

=== debian/changelog ===
hplip (3.10.2-2ubuntu2.5+4.1trisquel4) taranis; urgency=low

  * Removed printers with propietary drivers (required and optional)

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 03 Feb 2014 01:30:20 +0000

hplip (3.10.2-2ubuntu2.5) lucid-security; urgency=medium

  * SECURITY UPDATE: insecure temp file use in pkit.py
    - debian/patches/CVE-2013-6402.dpatch: remove logging to temp file in
      base/pkit.py.
    - CVE-2013-6402

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 20 Jan 2014 11:03:10 -0500

hplip (3.10.2-2ubuntu2.4) lucid-security; urgency=low

  * SECURITY UPDATE: arbitrary file overwrite via temp file vulnerability
    - debian/patches/CVE-2011-2722.dpatch: remove insecure code from
      prnt/hpijs/hpcupsfax.cpp.
    - CVE-2011-2722
  * SECURITY UPDATE: arbitrary file overwrite via temp file vulnerability
    - debian/patches/CVE-2013-0200.dpatch: use unpredictable temp file names
      in prnt/hpcups/HPCupsFilter.cpp, prnt/hpcups/SystemServices.cpp,
      prnt/hpijs/hpijs.cpp.
    - CVE-2013-0200
  * debian/patches/00patch-opts: remove deprecated U option so we can
    manipulate this package in saucy.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 27 Sep 2013 12:38:14 -0400

hplip (3.10.2-2ubuntu2.3) lucid-security; urgency=low

  * SECURITY UPDATE: possible privilege escalation via policykit UID lookup
    race.
    - debian/patches/CVE-2013-4325.dpatch: pass system-bus-name as a
      subject instead of pid so policykit can get the information from the
      system bus in base/pkit.py.
    - CVE-2013-4325

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 13 Sep 2013 11:43:30 -0400

hplip (3.10.2-2ubuntu2.2) lucid-security; urgency=low

  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via long SNMP response
    - debian/patches/CVE-2010-4267.dpatch: validate dLen in io/hpmud/pml.c.
    - CVE-2010-4267

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 24 Jan 2011 11:25:11 -0500

hplip (3.10.2-2ubuntu2.1) lucid-proposed; urgency=low

  * debian/patches/black-stripes-on-pcl5c-printouts.dpatch: The PCL 5c
    driver (Color LaserJet) printed blank raster lines in black (LP: #561264).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 19 Jul 2010 17:58:18 +0200

hplip (3.10.2-2ubuntu2) lucid; urgency=low

  * debian/hplip-dbg.install, debian/hplip.install, debian/control: Moved
    hp-check into hplip-dbg, as it is a debugging tool. Added dependency
    on libcups2-dev to hplip-dbg, as hp-check needs cups-config
    (LP: #530327).
  * debian/hplip-cups.postinst, debian/hpijs.postinst,
    debian/hpijs-ppds.postinst: Updated also PPDs with version numbers like
    3.10.2rc1.9.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 12 Apr 2010 10:55:18 +0200

hplip (3.10.2-2ubuntu1) lucid; urgency=low

  * debian/control: As we use HPIJS as default printer driver flavor again,
    let the "hplip" package recommend the "hpijs" package and not the
    "hplip-cups" package.
  * debian/patches/remove-duplicate-entry-for-cp1700-in-drv-files.dpatch,
    debian/non-shipped-files.txt: Removed duplicate entry for the HP Color
    Inkjet Printer 1700, the wrong entry missed also the large (A3,
    SuperB, ...) paper sizes (LP: #290559).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 11 Apr 2010 09:55:18 +0200

hplip (3.10.2-2) unstable; urgency=low

  * Fix "can't add printer (Printer queue setup failed)" added debian/hplip.NEWS
    - CUPS requires user to be a member of lpadmin group. (Closes: #566692) 
  * Patch hp-check to check for group membership of lp & lpadmin
    - Fixes "start/stop button should fail with permission error dialog if
    not member of lpadmin" (Closes: #572247)
  * Add Recommends: avahi-daemon "HP Color Laserjet CM1312nfi" (Closes: #564520)
  * Fix "[hplip-cups] Page background is printed black" switch back to HPIJS as
    default driver (migrate hpcups queues to HPIJS) (Closes: #568377)
  * Fix "hpijs_readme.html mentioned in man page does not exist"
    - Removed reference (Closes: #561125)

 -- Mark Purcell <msp@debian.org>  Sun, 11 Apr 2010 14:26:01 +1000

hplip (3.10.2-1ubuntu5) lucid; urgency=low

  [ Till Kamppeter ]
  * debian/patches/make-commafy-correctly-work-with-python-2.dpatch:
    Installation of the proprietary plug-in did not work with some locales
    (LP: #525901).
  * debian/hplip-cups.postinst, debian/hpijs.postinst: Switch back to HPIJS as
    default driver (migrate hpcups queues to HPIJS) as there are new problems
    with hpcups (LP: #553573, LP: #539708, LP: #538031, LP: #405116).

  [ Mark Purcell ]
  * Fix "can't add printer (Printer queue setup failed)" added debian/hplip.NEWS
    - CUPS requires user to be a member of lpadmin group. (Closes: #566692)
  * Add Recommends: avahi-daemon "HP Color Laserjet CM1312nfi" (Closes: #564520)
  * Add bug/presubj to hplip-cups, hplip-gui & hpijs
  * Add hplip-cups.NEWS
  * bug/script provide status message before hp-check
  * Patch hp-check to check for group membership of lp & lpadmin

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  9 Apr 2010 21:26:18 +0200

hplip (3.10.2-1ubuntu4) lucid; urgency=low

  * debian/patches/hp-systray-segfault-on-quit.dpatch: Fixed a hp-systray to
    not segfaulting when quitting the program (LP: #546816).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 25 Mar 2010 13:51:18 +0100

hplip (3.10.2-1ubuntu3) lucid; urgency=low

  * debian/patches/simple-scan-as-default.dpatch: Make simple-scan the default
    scanning frontend (LP: #539015).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 24 Mar 2010 09:13:18 +0100

hplip (3.10.2-1ubuntu2) lucid; urgency=low

  * debian/control: Added lsb-release to the build dependencies, as we use
    lsb_release to determine whether we build on Ubuntu, to do Ubuntu-specific
    steps.
  * debian/rules, debian/hplip.install: Install hp-plugin-ubuntu directly

