=== debian/control ===
Source: hplip
Section: utils
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian HPIJS and HPLIP maintainers <pkg-hpijs-devel@lists.alioth.debian.org>
Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>, Torsten Landschoff <torsten@debian.org>, Mark Purcell <msp@debian.org>, Till Kamppeter <till.kamppeter@gmail.com>
Build-Depends: libcups2-dev, libcupsimage2-dev, libsane-dev, libsnmp-dev, libjpeg62-dev, libusb-dev (>= 0.1.8), 
 debhelper (>= 5.0.37.2), autotools-dev, dpatch (>= 2), autoconf, automake, libtool, cups (>= 1.4.0) | cupsddk,
 patch (>= 2.5.9-3bpo1), findutils (>= 4.2.28), 
 python-dev, python-qt4, pyqt4-dev-tools, python-support (>= 0.3),
 python-dbus (>= 0.80), python-qt4-dbus, libdbus-1-dev, libudev-dev [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386], policykit-1,
 fdupes, lsb-release
Standards-Version: 3.8.3
Homepage: http://hplip.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/pkg-hpijs/hplip/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-hpijs/hplip/?op=log

Package: hplip
Architecture: any
Pre-Depends: python (>= 2.4.4~c1)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-dbus (>= 0.80), python-imaging, python-pexpect,
 coreutils (>= 5.1.0), lsb-base (>= 3), adduser (>= 3.34), cups (>= 1.1.20), cups-client (>= 1.1.20),
 libhpmud0 (= ${hplip:binary:Version}), hplip-data (= ${hplip:binary:Version}),
 policykit-1
Recommends: hpijs, sane-utils, avahi-daemon
Suggests: kdeprint | gtklp | xpp, hplip-gui, hplip-doc
Conflicts: hpijs (<< 2.1), hplip-base, hplip-gui (<< 2.8.10), hpoj
Replaces: hplip-data (<< 0.9.3), hplip-base, hplip-gui (<< 2.8.10)
XB-Python-Version: ${python:Versions}
Description: HP Linux Printing and Imaging System (HPLIP)
 The HP Linux Printing and Imaging System provides full support for
 printing on most HP SFP (single function peripheral) inkjets and many
 LaserJets, and for scanning, sending faxes and for photo-card access on
 most HP MFP (multi-function peripheral) printers.
 .
 HPLIP is composed of:
  * System services to handle communications with the printers
  * HP CUPS backend driver (hp:) with bi-directional communication with
    HP printers (provides printer status feedback to CUPS and enhanced
    HPIJS functionality such as 4-side full-bleed printing support)
  * HP CUPS backend driver for sending faxes (hpfax:)
  * hpcups CUPS Raster driver to turn rasterized input from the CUPS
    filter chain into the printer's native format (PCL, LIDIL, ...).
    (hpcups is shipped in a separate package)
  * HPIJS Ghostscript IJS driver to rasterize output from PostScript(tm)
    files or from any other input format supported by Ghostscript, and
    also for PostScript(tm) to fax conversion support
    (HPIJS is shipped in a separate package)
  * Command line utilities to perform printer maintenance, such as 
    ink-level monitoring or pen cleaning and calibration
  * GUI and command line utility to download data from the photo card
    interfaces in MFP devices
  * GUI and command line utilities to interface with the fax functions
  * A GUI toolbox to access all these functions in a friendly way
  * HPAIO SANE backend (hpaio) for flatbed and Automatic Document Feeder 
    (ADF) scanning using MFP devices
 .
 USB, JetDirect (network) and parallel-port devices are supported.

Package: hplip-data
Architecture: all
Suggests: hplip
Depends: ${python:Depends}
Description: HP Linux Printing and Imaging - data files
 This package contains data files for the HP Linux Printing and
 Imaging System.

Package: hplip-gui
Architecture: all
Depends: hplip (= ${hplip:binary:Version}), python-qt4, python-qt4-dbus, python-reportlab, dbus-x11, hplip-cups,
 gksu | kdebase-bin (<< 4:4.4.0-1) | kdebase-runtime | kdesudo | ktsuss
Recommends: xsane
Replaces: hplip (<= 3.9.10-1)
Description: HP Linux Printing and Imaging - GUI utilities
 This package contains utilities with graphical user interface (GUI) for
 HPLIP: HP Toolbox, HP Fax, ...

Package: hplip-dbg
Architecture: any
Priority: extra
Section: debug
Depends: hplip (= ${hplip:binary:Version}) | hplip-cups (= ${hplip:binary:Version}) | hpijs (= ${hpijs:binary:Version}), libcups2-dev
Conflicts: hplip (<< 3.10.2-2ubuntu2)
Description: HP Linux Printing and Imaging - debugging information
 This package contains debugging symbolic information for all the
 binaries and libraries in the hplip and hpijs packages.
 .
 It is useful for generating backtraces using debuggers like
 gdb and to get better information from tools like ltrace.

Package: hplip-doc
Architecture: all
Section: doc
Suggests: hplip
Description: HP Linux Printing and Imaging - documentation
 This package contains the full documentation for the HP Linux
 Printing and Imaging System for off-line reading.  It includes
 the documentation for the HPIJS IJS driver as well.

Package: hpijs-ppds
Architecture: all
Section: utils
Provides: hplip-ppds
Replaces: hplip-ppds
Conflicts: hplip-ppds, foomatic-filters-ppds (<< 20060113-1)
Depends: foomatic-filters (>= 3.0.2), hpijs (= ${hpijs:binary:Version}), cups-client, cups
Description: HP Linux Printing and Imaging - HPIJS PPD files
 This package contains PPD (printer definition) files for the
 printers supported through the HP Linux Printing and Imaging
 System HPIJS driver.
 .
 These PPDs should work well with the matching versions of HPLIP
 and HPIJS, but may not be the most up-to-date PPDs available for
 a given printer.  See http://www.openprinting.org/ for the latest
 version of the PPDs (which are not guaranteed to work well).

Package: hpijs
Architecture: any
Section: text
Depends: ${shlibs:Depends}, ${misc:Depends}, libhpmud0 (= ${hplip:binary:Version})
Recommends: ghostscript, cups (>= 1.4.0) | cupsddk, foomatic-filters, cups, cups-client
Suggests: hplip, hpijs-ppds, hplip-doc
Replaces: hpijs-ppds (<< 2.6.10+1.6.10-1), hplip-ppds (<< 1.6.10-1)
Description: HP Linux Printing and Imaging - gs IJS driver (hpijs)
 This package contains an IJS printer driver for Ghostscript, which
 adds support for most inkjet printers and some LaserJet printers
 manufactured by HP.  It is also required for HPLIP fax support.
 .
 The Debian package of hpijs includes the so-called rss patch, to use
 pure black ink instead of composite black in printers that don't do
 color map conversion in firmware.
 .
 HPIJS can take advantage of Ghostscript IJS KRGB support when
 available, to enhance black printing on printers that do color
 map conversion in firmware and are thus not affected by the old
 rss patch.
 .
 Users of the CUPS printing system are advised to also install the
 hplip package, and use the hp CUPS backend to send data to the printer.
 HPLIP supports USB, networked and parallel-port devices, and enables
 extended HPIJS functionality such as border-less printing.
 Selecting any hpijs ppd in CUPS will use hpijs automatically.
 .
 HPIJS is meant to be used through the foomatic system (see the
 foomatic-filters package).

Package: hplip-cups
Architecture: any
Section: text
Depends: ${shlibs:Depends}, ${misc:Depends},
 ghostscript-cups, cups (>= 1.4.0) | cupsddk, cups, cups-client
Suggests: hplip-doc, hplip (= ${hplip:binary:Version})
Description: HP Linux Printing and Imaging - CUPS Raster driver (hpcups)
 This package contains a CUPS-Raster-based printer driver which adds support
 for most inkjet printers and some LaserJet printers manufactured by HP. It
 does not provide PPDs for the fax functionality of HP's multi-function
 devices.
 .
 Users of the CUPS printing system are advised to also install the
 hplip package, and use the hp CUPS backend to send data to the printer.
 HPLIP supports USB, networked and parallel-port devices, and enables
 extended hpcups functionality such as border-less printing.
 Selecting any hpcups ppd in CUPS will use hpcups automatically.
 .
 No physical PPDs are shipped with this driver. PPDs are dynamically
 generated via a CUPS DDK .drv file.

Package: libhpmud0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: hplip (<= 3.9.12-1)
Conflicts: hplip (<= 3.9.12-1)
Description: HP Multi-Point Transport Driver (hpmud) run-time libraries
 Shared library that provides direct I/O for each process. Prior to
 hpmud, all I/O was serialized through hpiod, a monolithic I/O processor.
 The new hpmud direct I/O is faster. Hpmud supports parallel, USB and
 JetDirect connectivity.
 .
 With hpmud, HPLIP no longer has Linux specific libusb extensions. This
 means any UNIX/Linux derivative that supports libusb may work with
 HPLIP. A public HPLIP "C" API is exposed through hpmud. See hpmud.h
 for documentation. A Python wrapper for hpmud, called hpmudext, is also
 available.

Package: libhpmud-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libhpmud0 (= ${binary:Version})
Replaces: hplip (<= 3.9.12-1)
Conflicts: hplip (<= 3.9.12-1)
Description: HP Multi-Point Transport Driver (hpmud) development libraries
 Shared library that provides direct I/O for each process. Prior to
 hpmud, all I/O was serialized through hpiod, a monolithic I/O processor.
 The new hpmud direct I/O is faster. Hpmud supports parallel, USB and
 JetDirect connectivity.
 .
 With hpmud, HPLIP no longer has Linux specific libusb extensions. This
 means any UNIX/Linux derivative that supports libusb may work with
 HPLIP. A public HPLIP "C" API is exposed through hpmud. See hpmud.h
 for documentation. A Python wrapper for hpmud, called hpmudext, is also
 available.
