## hplip 3.11.7-1ubuntu3.1+5.5trisquel1

=== debian/changelog ===
hplip (3.11.7-1ubuntu3.1+5.5trisquel1) brigantia; urgency=low

  * Removed printers with propietary drivers (required and optional)

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 30 May 2012 20:08:09 +0000

hplip (3.11.7-1ubuntu3.1) oneiric-proposed; urgency=low

  * debian/patches/hpcups-top-margins-not-respected.dpatch: Reverted upstream
    change which caused a regression in handling the upper margin by monochrome
    laser printers in hpcups (LP: #890684, Red Hat bug #738089).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  1 Dec 2011 12:26:00 +0100

hplip (3.11.7-1ubuntu3) oneiric; urgency=low

  * debian/patches/hp-systray-make-menu-title-visible-in-sni-qt-indicator.dpatch:
    Simplified the construction of the title line of the hp-systray applet
    menu, so that the applet-to-indicator converter sni-qt also imports this
    title line (at least the text of it). Thanks to Aurelien Gateau for this
    patch.
  * debian/patches/hp-systray-make-menu-appear-in-sni-qt-indicator-with-kde.dpatch:
    Make the menu of the hp-systray applet appearing when the applet is
    converted to an indicator applet by sni-qt and put into the notification
    area of KDE (LP: #857929).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 27 Sep 2011 17:13:00 +0200

hplip (3.11.7-1ubuntu2) oneiric; urgency=low

  * debian/patches/hpfax-bug-function-used-before-importing-log.dpatch:
    The hpfax CUPS backend uses its function bug() (which in turn uses log())
    before log() gets imported (with base.g). Made use of log() in bug()
    optional (LP: #560849).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 23 Sep 2011 11:05:00 +0200

hplip (3.11.7-1ubuntu1) oneiric; urgency=low

  * debian/patches/mdns-py-typo.dpatch: Fixed typo in code (LP: #757899).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 22 Sep 2011 08:47:00 +0200

hplip (3.11.7-1) unstable; urgency=low

  * New Upstream Release
  * Fixes "please replace deprecated python-support with dh_python2"
    3.11.7-0ubuntu2 by Steve (Closes: #637268)

 -- Mark Purcell <msp@debian.org>  Sat, 03 Sep 2011 09:06:36 +1000

hplip (3.11.7-0ubuntu5) oneiric; urgency=low

  * debian/patches/mdns-py-network-printer-search-key-error.dpatch:
    In some cases a search of network printers with the hp-setup utility
    crashed with a key error (LP: #519430).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  1 Sep 2011 00:42:00 +0200

hplip (3.11.7-0ubuntu4) oneiric; urgency=low

  * debian/control, debian/rules: Use new debhelper dh_pyppd to compress the
    PPD files.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 21 Aug 2011 23:59:00 +0200

hplip (3.11.7-0ubuntu3) oneiric; urgency=low

  * debian/hpijs.ppd-updater, debian/hplip-cups.ppd-updater,
    debian/hplip.ppd-updater, debian/hpijs-ppds.ppd-updater: Added data files
    to trigger the update of the PPD files of existing print queues by CUPS
    and to tell CUPS which PPD files to use for the update and how to match
    them with the PPDs of the existing queues.
  * debian/hplip.postinst: Removed the repeated code for updating the PPD
    files of existing print queues. This code is now centralized in the
    cups package, as a trigger.
  * debian/hpijs.postinst, debian/hplip-cups.postinst,
    debian/hpijs-ppds.postinst: Removed the post-install scripts which only
    contain the code for updating the PPDs of existing print queues.
  * debian/hpijs.install, debian/hplip-cups.install, debian/hplip.install,
    debian/hpijs-ppds.install, debian/rules: Install the *.ppd-updater
    file of each printer driver/PPD package in the /usr/share/cups/ppd-updaters
    directory.
  * debian/control: Removed the dependency on cups-client from the printer
    driver/PPD packages, as we do not call the command line utilities of CUPS
    in the post-install scripts any more. Also removed the dependency on CUPS
    from the hpijs and hpijs-ppds packages.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 17 Aug 2011 10:26:00 +0200

hplip (3.11.7-0ubuntu2) oneiric; urgency=low

  * debian/patches/cups-1.5.0-compatibility.dpatch: directly include
    cups/ppd.h, for compatibility with cups 1.5.0.
  * switch from the deprecated python-support to dh_python2.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 10 Aug 2011 00:39:24 +0000

hplip (3.11.7-0ubuntu1) oneiric; urgency=low

  * New upstream release
     o Fixed missing leading "/" in /bin/sh call in 56-hpmud_support.rules
       (LP: #795759).
     o Added support for: HP DeskJet 3050A J611 series, LaserJet 100 Color
       MFP M175, LaserJet Professional M1216nfh MFP, M1219nf MFP.
     o Bug fixes.
  * debian/patches/udev-rules-use-attrs-not-sysfs-and-hp-mkuri-call-fix.dpatch:
    Regenerated.
  * debian/patches/hplip-syslog-fix-debug-messages-to-error.dpatch: Debug
    messages were reported as errors and so cluttered the syslog (LP: #816763).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 28 Jul 2011 09:57:00 +0200

hplip (3.11.5-2ubuntu1) oneiric; urgency=low

  * debian/rules: Added "-dNOINTERPOLATE" to all Ghostscript command lines
    defined in the HPLIP package: PPD generator hpijs.drv for HPIJS,
    ready-made PPDs for HPIJS (hpijs-ppds package), Fax PPDs, pstotiff
    CUPS filter. This makes the page rendering by Ghostscript significantly
    faster.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 24 Jul 2011 20:50:00 +0200

hplip (3.11.5-2) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/control: Build-Depend on libjpeg-dev instead of libjpeg62-dev,
    so that the package also builds with libjpeg8 (Closes: #634030).

  [ Mark Purcell ]
  * Ack NMU - Thanks Luk
    - Fix "diff for NMU version 3.11.5-1.1" (Closes: #631008)

 -- Mark Purcell <msp@debian.org>  Sat, 16 Jul 2011 20:24:28 +1000

hplip (3.11.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621591).
  * Add missing '/' in bin/sh calls (Closes: #630648, #600673).


