=== debian/control ===
--- 
+++ 
@@ -2,31 +2,31 @@
 Section: utils
 Priority: optional
 Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian HPIJS and HPLIP maintainers <pkg-hpijs-devel@lists.alioth.debian.org>
 Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>, Torsten Landschoff <torsten@debian.org>, Mark Purcell <msp@debian.org>, Till Kamppeter <till.kamppeter@gmail.com>
-Build-Depends: libcups2-dev, libcupsimage2-dev, libsane-dev, libsnmp-dev, libjpeg62-dev, libusb-dev (>= 0.1.8), 
+Build-Depends: libcups2-dev, libcupsimage2-dev, libsane-dev, libsnmp-dev, libjpeg-dev, libusb-dev (>= 0.1.8), 
  debhelper (>= 5.0.37.2), autotools-dev, dpatch (>= 2), autoconf, automake, libtool, cups (>= 1.4.0) | cupsddk,
  patch (>= 2.5.9-3bpo1), findutils (>= 4.2.28), 
- python-dev, python-qt4, pyqt4-dev-tools, python-support (>= 0.3),
+ python-dev, python-all-dev (>= 2.6.6-3~), python-qt4, pyqt4-dev-tools,
  python-dbus (>= 0.80), python-qt4-dbus, libdbus-1-dev, libudev-dev [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386], policykit-1,
- fdupes, lsb-release
-Standards-Version: 3.8.3
-Homepage: http://hplip.sourceforge.net/
+ fdupes, lsb-release, pyppd (>= 0.4.9-5)
+X-Python-Version: >= 2.5
+Standards-Version: 3.8.4
+Homepage: http://hplipopensource.com/hplip-web/index.html
 Vcs-Svn: svn://svn.debian.org/pkg-hpijs/hplip/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-hpijs/hplip/?op=log
 
 Package: hplip
 Architecture: any
-Pre-Depends: python (>= 2.4.4~c1)
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-dbus (>= 0.80), python-imaging, python-pexpect,
- coreutils (>= 5.1.0), lsb-base (>= 3), adduser (>= 3.34), cups (>= 1.1.20), cups-client (>= 1.1.20),
- libhpmud0 (= ${hplip:binary:Version}), hplip-data (= ${hplip:binary:Version}),
- policykit-1
-Recommends: hpijs, sane-utils, avahi-daemon
-Suggests: kdeprint | gtklp | xpp, hplip-gui, hplip-doc
-Conflicts: hpijs (<< 2.1), hplip-base, hplip-gui (<< 2.8.10), hpoj
+Depends: ${shlibs:Depends}, ${misc:Depends}, libsane-hpaio (= ${hplip:binary:Version}),
+ libhpmud0 (= ${hplip:binary:Version}), hplip-data (= ${hplip:source:Version}),
+ hplip-cups (= ${hplip:binary:Version}),
+ ${python:Depends}, python-dbus (>= 0.80), python-imaging, python-pexpect,
+ coreutils (>= 5.1.0), lsb-base (>= 3), adduser (>= 3.34), cups (>= 1.1.20),
+ policykit-1, wget
+Recommends: sane-utils, avahi-daemon
+Suggests: hplip-gui, hplip-doc, python-notify, system-config-printer
+Conflicts: hpijs (<< 2.1), hplip-dbg (<< 3.10.5-1ubuntu1), hplip-base, hplip-gui (<< 2.8.10), hpoj
 Replaces: hplip-data (<< 0.9.3), hplip-base, hplip-gui (<< 2.8.10)
-XB-Python-Version: ${python:Versions}
 Description: HP Linux Printing and Imaging System (HPLIP)
  The HP Linux Printing and Imaging System provides full support for
  printing on most HP SFP (single function peripheral) inkjets and many
@@ -60,26 +60,30 @@
 Package: hplip-data
 Architecture: all
 Suggests: hplip
-Depends: ${python:Depends}
+Depends: ${python:Depends}, ${misc:Depends}, xz-utils
 Description: HP Linux Printing and Imaging - data files
- This package contains data files for the HP Linux Printing and
+ This package contains data files and PPDs for the HP Linux Printing and
  Imaging System.
 
 Package: hplip-gui
 Architecture: all
-Depends: hplip (= ${hplip:binary:Version}), python-qt4, python-qt4-dbus, python-reportlab, dbus-x11, hplip-cups,
+Depends: ${misc:Depends}, hplip (>= ${hplip:source:Version}), dbus-x11, 
+ ${python:Depends}, python-qt4, python-qt4-dbus, python-reportlab,
  gksu | kdebase-bin (<< 4:4.4.0-1) | kdebase-runtime | kdesudo | ktsuss
-Recommends: xsane
-Replaces: hplip (<= 3.9.10-1)
-Description: HP Linux Printing and Imaging - GUI utilities
+Recommends: xsane | simple-scan | skanlite, python-notify
+Replaces: hplip (<= 3.10.5-1ubuntu1)
+Description: HP Linux Printing and Imaging - GUI utilities (Qt-based)
  This package contains utilities with graphical user interface (GUI) for
  HPLIP: HP Toolbox, HP Fax, ...
+ .
+ Note that all GUI utilities are based on the Qt (KDE) GUI environment. There
+ are currently no equivalent utilities based on GTK (GNOME).
 
 Package: hplip-dbg
 Architecture: any
 Priority: extra
 Section: debug
-Depends: hplip (= ${hplip:binary:Version}) | hplip-cups (= ${hplip:binary:Version}) | hpijs (= ${hpijs:binary:Version}), libcups2-dev
+Depends: ${misc:Depends}, hplip (= ${hplip:binary:Version}) | hplip-cups (= ${hplip:binary:Version}) | hpijs (= ${hpijs:binary:Version})
 Conflicts: hplip (<< 3.10.2-2ubuntu2)
 Description: HP Linux Printing and Imaging - debugging information
  This package contains debugging symbolic information for all the
@@ -92,6 +96,7 @@
 Architecture: all
 Section: doc
 Suggests: hplip
+Depends: ${misc:Depends}
 Description: HP Linux Printing and Imaging - documentation
  This package contains the full documentation for the HP Linux
  Printing and Imaging System for off-line reading.  It includes
@@ -102,8 +107,8 @@
 Section: utils
 Provides: hplip-ppds
 Replaces: hplip-ppds
-Conflicts: hplip-ppds, foomatic-filters-ppds (<< 20060113-1)
-Depends: foomatic-filters (>= 3.0.2), hpijs (= ${hpijs:binary:Version}), cups-client, cups
+Conflicts: hplip-ppds, foomatic-filters-ppds (>> 20000101)
+Depends: ${misc:Depends}, hpijs (>= ${hpijs:source:Version}), foomatic-filters (>= 3.0.2)
 Description: HP Linux Printing and Imaging - HPIJS PPD files
  This package contains PPD (printer definition) files for the
  printers supported through the HP Linux Printing and Imaging
@@ -118,7 +123,7 @@
 Architecture: any
 Section: text
 Depends: ${shlibs:Depends}, ${misc:Depends}, libhpmud0 (= ${hplip:binary:Version})
-Recommends: ghostscript, cups (>= 1.4.0) | cupsddk, foomatic-filters, cups, cups-client
+Recommends: ghostscript, cups (>= 1.4.0) | cupsddk | hpijs-ppds, foomatic-filters
 Suggests: hplip, hpijs-ppds, hplip-doc
 Replaces: hpijs-ppds (<< 2.6.10+1.6.10-1), hplip-ppds (<< 1.6.10-1)
 Description: HP Linux Printing and Imaging - gs IJS driver (hpijs)
@@ -148,7 +153,7 @@
 Architecture: any
 Section: text
 Depends: ${shlibs:Depends}, ${misc:Depends},
- ghostscript-cups, cups (>= 1.4.0) | cupsddk, cups, cups-client
+ ghostscript-cups, cups (>= 1.4.0) | cupsddk, cups
 Suggests: hplip-doc, hplip (= ${hplip:binary:Version})
 Description: HP Linux Printing and Imaging - CUPS Raster driver (hpcups)
  This package contains a CUPS-Raster-based printer driver which adds support
@@ -164,13 +169,16 @@
  .
  No physical PPDs are shipped with this driver. PPDs are dynamically
  generated via a CUPS DDK .drv file.
+ .
+ This package can be installed to provide a minimal headless printer
+ solution using CUPS.
 
 Package: libhpmud0
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: hplip (<= 3.9.12-1)
-Conflicts: hplip (<= 3.9.12-1)
+Replaces: hplip (<= 3.10.6-0ubuntu1)
+Conflicts: hplip (<= 3.10.6-0ubuntu1)
 Description: HP Multi-Point Transport Driver (hpmud) run-time libraries
  Shared library that provides direct I/O for each process. Prior to
  hpmud, all I/O was serialized through hpiod, a monolithic I/O processor.
@@ -201,3 +209,18 @@
  for documentation. A Python wrapper for hpmud, called hpmudext, is also
  available.
 
+Package: libsane-hpaio
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: hplip (<= 3.10.6-1ubuntu6), hplip-data (<= 3.10.5-4)
+Conflicts: hplip (<= 3.10.6-1ubuntu6), hplip-data (<= 3.10.5-4)
+Recommends: sane-utils, hplip (= ${hplip:binary:Version})
+Description: HP SANE backend for multi-function peripherals
+ This package contains the SANE backend libraries for use with HP
+ Multi-function peripherals.
+ .
+ Users of hplip are advised to install the hplip{-gui} packages for 
+ command line and GUI tools associated with HPLIP.
+ .
+ This package is useful for a minimal footprint headless scanning solution.
