=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,17 @@
 # DebHelper control
 export DH_ALWAYS_EXCLUDE=CVS:.cvsignore
 #export DH_VERBOSE=1
+
+-include /usr/share/python/python.mk
+ ifeq (,$(py_sitename))
+   py_sitename = site-packages
+   py_libdir = /usr/lib/python$(subst python,,$(1))/site-packages
+   py_sitename_sh = $(py_sitename)
+   py_libdir_sh = $(py_libdir)
+endif
+PYTHON_DEFAULT_VERSION:=$(shell pyversions -dv)
+PYTHON_SITENAME:=$(call py_sitename, $(PYTHON_DEFAULT_VERSION))
+
 
 DBGPKG:=$(BASEPKG)-dbg
 PKGTMP:=$(CURDIR)/debian/tmp
@@ -168,11 +179,30 @@
 
 	$(MAKE) install "DESTDIR=$(PKGTMP)" docdir=/usr/share/doc/hplip dist_firm_DATA= am__dist_firm_DATA_DIST=
 
+	# Modify PPD generator of hpcups (hpcups.drv) so that standard paper
+	# sizes support duplex printing. The former standard paper sizes with
+	# narrower borders get optional choices now (Ubuntu/upstream bug
+	# 487695)
+	sh debian/local/make-duplex-page-sizes-default.sh $(PKGTMP)/usr/share/cups/drv/hpcups.drv
+
+	# Modify all Ghostscript command lines to have the "-dNOINTERPOLATE"
+	# coomand line option. This makes rendering the pages much faster
+	perl -p -i -e "s/(\-sDEVICE=)/-dNOINTERPOLATE \1/" $(PKGTMP)/usr/share/cups/drv/hpijs.drv $(PKGTMP)/usr/lib/cups/filter/pstotiff
+
 	# Install wrapper script for hp-plugin, to be called by update-notifier
 	# on udev signal (Ubuntu only)
 	if [ "`lsb_release -is 2>/dev/null`" = "Ubuntu" ]; then \
 		install -d $(CURDIR)/debian/hplip/usr/bin/; \
+		install -m 755 debian/local/scripts/hp-plugin-ubuntu $(CURDIR)/debian/hplip/usr/bin/; \
 	fi
+
+	# Install the ppd updater data files so that CUPS can update the
+	# PPDs of the already existing queue after each update of HPLIP's
+	# printer driver/PPD packages
+	install -D -m 644 debian/hplip.ppd-updater $(PKGTMP)/usr/share/cups/ppd-updaters/hplip
+	install -D -m 644 debian/hplip-cups.ppd-updater $(PKGTMP)/usr/share/cups/ppd-updaters/hplip-cups
+	install -D -m 644 debian/hpijs.ppd-updater $(PKGTMP)/usr/share/cups/ppd-updaters/hpijs
+	install -D -m 644 debian/hpijs-ppds.ppd-updater $(PKGTMP)/usr/share/cups/ppd-updaters/hpijs-ppds
 
 	# Install Apport hook
 	install -D -m 644 debian/local/apport-hook.py $(PKGTMP)/usr/share/apport/package-hooks/source_hplip.py
@@ -223,44 +253,3 @@
 	export HPLIP_BUILD=1; \
 	( cd ./debian/tmp/usr/share/hplip/; \
 	    for file in *.py; do \
-		if [ -x $$file ] && [ $$file != install.py ] && \
-		   [ $$file != hpssd.py ] && [ $$file != dat2drv.py ] && \
-		   [ $$file != __init__.py ]; then \
-		    dest=hp-$${file%.py}; \
-		    ln -s /usr/share/hplip/$$file \
-			../../bin/$$dest 2>/dev/null || :; \
-		    PYTHONPATH=../../lib/python2.5/site-packages/:../../lib/python2.6/dist-packages/  LD_LIBRARY_PATH=../../lib/ ../../bin/$$dest --help-man > $(CURDIR)/$$dest.1 ; \
-		fi; \
-	    done \
-	)
-	install -d ./debian/tmp/usr/sbin/
-	cp hpssd.py ./debian/tmp/usr/sbin/hpssd
-
-	touch install-stamp
-
-# install arch-dependent packages specific files
-install-arch: install-arch-stamp
-install-arch-stamp: install-stamp
-	# Remove stray #! lines on python libraries, and fix permissions
-	find "$(PKGTMP)/usr/share/hplip" -maxdepth 1 -mindepth 1 -type d -print0 | \
-		xargs -0 -r -i@ find @ -type f -name '*.py' | \
-		while read -r i ; do \
-			chmod a-x "$$i" && \
-			sed < "$$i" > "$$i.tmp" -e '/^#!/ {1 d}' && \
-			mv -f "$$i.tmp" "$$i" ; \
-		done
-	# executable-not-elf-or-script
-	chmod -x $(PKGTMP)/usr/share/hplip/installer/distros.dat
-
-	mkdir -p "$(PKGTMP)/usr/share/pixmaps"
-	install -m 644 debian/*.xpm "$(PKGTMP)/usr/share/pixmaps"
-	mkdir -p "$(PKGTMP)/usr/share/applications"
-	install -m 644 debian/*.desktop "$(PKGTMP)/usr/share/applications"
-
-	mkdir -p "$(PKGTMP)/etc/sane.d/dll.d"
-	install -m 644 debian/$(BASEPKG).sane "$(PKGTMP)/etc/sane.d/dll.d/$(PACKAGE)"
-
-	mkdir -p "$(PKGTMP)/usr/lib/cups/filter/"
-	install -m 755 hplipjs "$(PKGTMP)/usr/lib/cups/filter/"
-
-	# Fax PPDs, install to destdir directly
